Subject: bug#15739: Doesn't support clang as well as it could.

From: [email-masked] (Ludovic Courtès)
Date: Thu, 28 Nov 2013 20:35:37 +0100

Hi,

Matt Sicker <[email-masked]> skribis:

> There are plenty of macros that only check for GNU GCC and don't bother
> checking support from other popular compilers. For example, in
> libguile/__scm.h, the macros SCM_NORETURN, SCM_UNUSED, SCM_EXPECT, and many
> more, all only check for GCC support. Most (if not all) of these language
> extensions are supported by Clang, and usually using the same exact syntax!

Doesn’t Clang still define __GNUC__?  If it does, then it has to behave
like GCC, and thus nothing Clang-specific needs to be added.

Ludo’.